New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update SuperAssets for Flickr to Access Flickr API over SSL #5

Closed
daveaiello opened this Issue Jun 3, 2014 · 2 comments

Comments

Projects
None yet
1 participant
@daveaiello
Member

daveaiello commented Jun 3, 2014

A recent entry on The Flickr Developer Blog says: "On June 27th, we will deprecate non-SSL access to the API. If you haven’t already made the change to HTTPS, now is the time!"

We are going to attempt to update SuperAssets for Flickr to use the SSL endpoints in the 1.02 release, which is now planned for the first or second week of June 2014.

@daveaiello daveaiello added this to the 1.02 milestone Jun 3, 2014

@daveaiello daveaiello self-assigned this Jun 3, 2014

@daveaiello

This comment has been minimized.

Show comment
Hide comment
@daveaiello

daveaiello Jun 3, 2014

Member

According to Arseni Mouchinski, who was the lead developer on SuperAssets for Flickr:

  • SuperAssets for Flickr is using the Flickr API "implicitly through a CPAN module Flickr::API2".
  • "... I submitted a pull request with this change."
  • "... he already released the latest version to CPAN." {This is Version 2.08 on Github.}

This means that we should be able to perform the update by incorporating the latest version of Flickr::API2 and update our requirements to include LWP::Protocol::https.

I will create a 1.02 branch and start making these changes to it.

Member

daveaiello commented Jun 3, 2014

According to Arseni Mouchinski, who was the lead developer on SuperAssets for Flickr:

  • SuperAssets for Flickr is using the Flickr API "implicitly through a CPAN module Flickr::API2".
  • "... I submitted a pull request with this change."
  • "... he already released the latest version to CPAN." {This is Version 2.08 on Github.}

This means that we should be able to perform the update by incorporating the latest version of Flickr::API2 and update our requirements to include LWP::Protocol::https.

I will create a 1.02 branch and start making these changes to it.

@daveaiello

This comment has been minimized.

Show comment
Hide comment
@daveaiello

daveaiello Jun 26, 2014

Member

SuperAssets for Flickr is now updated to Version 1.02. The new release is primarily documentation, because the critical aspect of the upgrade is to upgrade the Flickr::API2 Perl module to Version 2.08 or later.

We are discussing the possibility of doing a 1.03 which would contain an explicit coded requirement for the Flickr::API2 Perl module, but we do not have time to make that change at this time, because the deadline for upgrading the connection to the FlickrAPI is June 27.

Member

daveaiello commented Jun 26, 2014

SuperAssets for Flickr is now updated to Version 1.02. The new release is primarily documentation, because the critical aspect of the upgrade is to upgrade the Flickr::API2 Perl module to Version 2.08 or later.

We are discussing the possibility of doing a 1.03 which would contain an explicit coded requirement for the Flickr::API2 Perl module, but we do not have time to make that change at this time, because the deadline for upgrading the connection to the FlickrAPI is June 27.

@daveaiello daveaiello closed this Jun 26, 2014

@daveaiello daveaiello modified the milestone: 1.02 Jun 26, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment